Name:           python-django-addons
Version:        0.6.6
Release:        1%{?dist}
Summary:        A framework to create pluggable Django add-ons

Group:          Development/Languages
License:        BSD
URL:            http://pypi.python.org/pypi/django-addons
Source:         http://pypi.python.org/packages/source/d/django-addons/django-addons-%{version}.tar.gz
Patch:          http://beckerde.fedorapeople.org/transifex/django-addons-remove-requires.patch

BuildArch:      noarch
BuildRequires:  python2-devel python-setuptools 
Requires:       python-django14
Requires:       python-django-staticfiles

Provides: django-addons = %{version}-%{release} 
# Because of the renaming mechanism, the next should stay forever in this package.
Obsoletes: django-addons < 0.6.4-4 

%description
A Django app used to add true plug-n-play functionality to your own Django 
applications and projects.

%prep
%setup -q -n django-addons-%{version}
%patch

%build
%{__python} setup.py build

%install
%{__python} setup.py install --root $RPM_BUILD_ROOT

%files
%{python_sitelib}/django_addons
%{python_sitelib}/django_addons-%{version}-py?.?.egg-info
%doc LICENSE README AUTHORS INSTALL docs/*

%changelog
* Tue Aug 13 2013 Luis Bazan <lbazan@fedoraproject.org> - 0.6.6-1
- New Upstream Version

* Tue May 07 2013 Matthias Runge <mrunge@redhat.com> - 0.6.4-10
- change requirements to python-django14

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jul 17 2012 Domingo Becker <domingobecker@gmail.com> - 0.6.4-8
- Removed BuildRoot not needed.

* Thu Jul 12 2012 Domingo Becker <domingobecker@gmail.com> - 0.6.4-7
- Fixed clean, defattr and rm not needed.
- Fixed buildrequires python-setuptools.
- Fixed tarball size mismatch.

* Sat Jun 16 2012 Domingo Becker <domingobecker@gmail.com> - 0.6.4-6
- Removed first line.
- Added a more specific files section.
- Some more doc files in doc section.
- Removed unnecessary BuildRequires python-django.
- Changed BuildRequires from python-devel to python2-devel.

* Sat May 26 2012 Domingo Becker <domingobecker@gmail.com> - 0.6.4-5
- Package rename to python-django-addons. Please read
  https://fedoraproject.org/wiki/User:Bkabrda/Django_rename

* Fri Dec 03 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.4-4
- Python for el5 complains about requires, it is removed from python code

* Fri Dec 03 2010 Domingo Becker <domingobecker@gmail.com>  - 0.6.4-3
- fixed Django version number requirement in setup.py for el5 (1.1.1)

* Fri Dec 03 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.4-2
- fixed Django version number requirement in setup.py for el5 (1.1.2)

* Mon Nov 08 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.4-1
- updated to 0.6.4

* Thu Nov 04 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.3-1
- updated to 0.6.3

* Thu Nov 04 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.2-2
- applied patch from Toshio
- added %%doc section with license and readme files
- fixed full urls for the patches

* Thu Oct 28 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.2-1
- updated to 0.6.2
- fixed license information, URL, Source path and a little patch to models.py.

* Mon Sep 27 2010 Domingo Becker <domingobecker@gmail.com> - 0.6.1-1
- Initial RPM release

